| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Gaudi::SerialTaskQueue::SerialWorkItemRunner Class Reference

Helper class to wrap a SerialWorkItem in a tbb::task. More...

Inheritance diagram for Gaudi::SerialTaskQueue::SerialWorkItemRunner:
[legend]
Collaboration diagram for Gaudi::SerialTaskQueue::SerialWorkItemRunner:
[legend]

## Public Member Functions
| SerialWorkItemRunner (SerialWorkItem *item)
| Initialize the instance. More...
tbb::task * | execute () override
| Call the run method of the work item. More...

## Private Attributes
SerialWorkItem * | m_item
| Pointer to the work item to be executed. More...

## Detailed Description

Helper class to wrap a SerialWorkItem in a tbb::task.

Definition at line 81 of file SerialTaskQueue.h.

## Constructor & Destructor Documentation

Gaudi::SerialTaskQueue::SerialWorkItemRunner::SerialWorkItemRunner | ( | SerialWorkItem * | item | ) |
| inline

Initialize the instance.

Definition at line 84 of file SerialTaskQueue.h.

84 : m_item(item) {}
Gaudi::SerialTaskQueue::SerialWorkItemRunner::m_item
SerialWorkItem * m_item
Pointer to the work item to be executed.
Definition: SerialTaskQueue.h:93

## Member Function Documentation

tbb::task* Gaudi::SerialTaskQueue::SerialWorkItemRunner::execute | ( |  | ) |
| inline override

Call the run method of the work item.

Definition at line 86 of file SerialTaskQueue.h.

86 {
87 m_item->run();
88 return NULL;
89 }
Gaudi::SerialTaskQueue::SerialWorkItem::run
void run()
Execute the WorkItem and notify the SerialTaskQueue of the completion.
Definition: SerialTaskQueue.h:106
Gaudi::SerialTaskQueue::SerialWorkItemRunner::m_item
SerialWorkItem * m_item
Pointer to the work item to be executed.
Definition: SerialTaskQueue.h:93

## Member Data Documentation

SerialWorkItem* Gaudi::SerialTaskQueue::SerialWorkItemRunner::m_item
| private

Pointer to the work item to be executed.

Note
  we do not own the work item (it deletes itself)

Definition at line 93 of file SerialTaskQueue.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/SerialTaskQueue.h